Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | Safe
Language | Haskell2010

Agda.Compiler.UHC.MagicTypes

Description

Defines some magic builtin datatypes.

Synopsis

- builtinUnitCtor :: HsName
- type MagicName = String
- getMagicTypes :: MagicTypeInfo
- type MagicConstrInfo = Map MagicName CTag
- type MagicTypeInfo = Map MagicName (HsDataType, MagicConstrInfo)
- data HsDataType
  - = HsDataType HsName
  - | HsUnit

# Documentation

builtinUnitCtor :: HsName #

type MagicName = String #

name of a magic, differently translated datatype/constructor

getMagicTypes :: MagicTypeInfo #

type MagicConstrInfo = Map MagicName CTag #

type MagicTypeInfo = Map MagicName (HsDataType, MagicConstrInfo) #

data HsDataType #

Constructors

HsDataType HsName |
HsUnit |